#!/bin/bash
SMB_CONF="/etc/samba/smb.conf"
SMB_CONF_NEW="/srv/www/htdocs/chamba/smb.conf.new"

# Check for existence new config file
if [ ! -f ${SMB_CONF_NEW} ]; then
       echo "Fehler: Neues Konfigurationsfile ${SMB_CONF_NEW} existiert nicht"
       # Tell the user this has skipped
       exit 1
fi


/etc/rc.d/smb stop
/etc/rc.d/nmb stop
mv ${SMB_CONF} ${SMB_CONF}.old
mv ${SMB_CONF_NEW} ${SMB_CONF}
touch ${SMB_CONF_NEW}
chown wwwrun ${SMB_CONF_NEW}
chown root ${SMB_CONF}
chgrp root ${SMB_CONF}
chmod 0644 ${SMB_CONF}
/etc/rc.d/nmb start
/etc/rc.d/smb start 