<?
	require_once('const.inc.php');
	require_once('paths.inc.php');
	require_once('funcs.inc.php');
	require_once('xml2array.inc.php');

	// Var-Initialisierungen

	$strShare = '';
	$strPath = '';
	$strComment='';
	$strCreateMask = '';
	$strDirectoryMask = '';
	$nBrowseable=0;
	$nReadonly=0;
	$nPublic=0;
	
	
	$strError = '';
	$nMode = MODE_CRSH_EMPTY_FORM;
	
	// *****************************************************
	//                         XML
	// *****************************************************
	
	// verwendete Abschnitte der XML-Steuerdatei einlesen
	$arrXml = xmlFileToArray($strXmlPath );
	$arrShare = getParam($arrXml,'#meta#','#share#');

	$arrShareParams = getNamedParamArray($arrXml,'#share#');


	// Parameter-Auswertung
	if($_POST['f_mode'])
		$nMode = $_POST['f_mode'];
	if($_GET['f_mode'])
		$nMode = $_GET['f_mode'];


	$strShare = stripslashes($_GET['f_share']);
	$strPath = GetValueOrDefault($arrShareParams,'path');
	$strComment = GetValueOrDefault($arrShareParams,'comment');
	$strCreateMask = GetValueOrDefault($arrShareParams,'create mask');
	$strDirectoryMask = GetValueOrDefault($arrShareParams,'directory mask');
	$nBrowseable = GetValueOrDefault($arrShareParams,'browseable');
	$nReadonly = GetValueOrDefault($arrShareParams,'read only');
	$nPublic = GetValueOrDefault($arrShareParams,'public');


	if ($nMode == MODE_CRSH_ERROR || $nMode == MODE_CRSH_CONFIRM || $nMode == MODE_CRSH_DONE)
		{
			$strError = stripslashes($_GET['f_error']);
			$strMessage = stripslashes($_GET['f_message']);

		}

	// Erst nach initialisieren der Fehlervariablen einbinden
	require_once($strLanguagePath);


if ($nMode == MODE_CRSH_EMPTY_FORM || $nMode == MODE_CRSH_ERROR):	?>

<html>
<head>
<title><?=$lang['header_neue_freigabe']?></title>
	<meta http-equiv="content-type" content="text/html;charset=iso-8859-1">
	<link rel="stylesheet" href=<?=$strStylePath?>>
</head>
<body>
<? include 'logo_header.inc.php'; ?>

	<form method='post' action='create_share_hnd.php'>
	<table>
	<tr>
		<td class='headerbig' colspan=2><?=$lang['header_neue_freigabe']?></td>
	</tr>	
	<tr>
		<td class='headerbig' colspan=2>&nbsp;</td>
	</tr>	
	<tr>
		<td class='ErrorSmall' colspan=2><?=$strError?></td>
	</tr>	
	<tr>
		<td class='InfoSmall' colspan=2><?=$strMessage?></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_name_freigabe']?></td>
		<td class='FormField'><input name='f_share' value='<?=$strShare?>' size=50></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_verzeichnispfad']?></td>
		<td class='FormField'><input name='f_path' value='<?=$strPath?>' size=50></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_freigabe_kommentar']?></td>
		<td class='FormField'><input name='f_comment' value='<?=$strComment?>' size=50></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_file_mask']?></td>
		<td class='FormField'><input name='f_create_mask' value='<?=$strCreateMask?>' size=4 maxlength=4></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_directory_mask']?></td>
		<td class='FormField'><input name='f_directory_mask' value='<?=$strDirectoryMask?>' size=4 maxlength=4></td>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_schreibgeschuetzt']?></td>
		<td class='FormField'><input name='f_read_only' type='checkbox' <?=WriteCheckboxValue($nReadonly)?>' ></td>
		<input name='f_public' type='hidden' value='<?=$nPublic?>'>
	</tr>	
	<tr>
		<td class='FormLabel'><?=$lang['label_sichtbar']?></td>
		<td class='FormField'><input name='f_browseable' type='checkbox' <?=WriteCheckboxValue($nBrowseable)?> ></td>
	</tr>	
	<tr>
		<td class='FormLabel'></td>
		<td class='FormField'><input name='f_submit' type='submit' value='<?=$lang['button_anlegen']?>' >
		<input type='button' value='<?=$lang['button_abbrechen']?>' onClick="javascript:window.location.href='chamba.php'" /></td>
	</tr>	
	</table>
	</form>
	

<? elseif ($nMode == MODE_CRSH_CONFIRM): ?>
<html>
<head>
<title><?=$lang['header_neue_freigabe']?></title>
<link rel="stylesheet" href="chamba.css">
</head>
<body>
<? include 'logo_header.inc.php'; ?>
	<form method='post' action='create_share_hnd.php'>
	<table>
	<tr>
		<td class='headerbig' colspan=2><?=$lang['message_freigabe_rueckfrage']?></td>
	</tr>
	<tr>
		<td class='InfoSmall' colspan=2><?=$lang['message_freigabe_verzeichnis_existiert']?></td>
		<input type='hidden' name='f_confirmed' value='1' >
		<input type='hidden' name='f_share' value='<?=$strShare?>'>
		<input type='hidden' name='f_path' value='<?=$strPath?>'>
		<input type='hidden' name='f_comment' value='<?=$strComment?>'>
		<input type='hidden' name='f_create_mask' value='<?=$strCreateMask?>'>
		<input type='hidden' name='f_directory_mask' value='<?=$strDirectoryMask?>'>
		<input type='hidden' name='f_read_only' <?=$nReadonly?>' >
		<input type='hidden' name='f_public'  value='<?=$nPublic?>' >
		<input type='hidden' name='f_browseable'  value='<?=$nBrowseable?>' >
	</tr>	
	<tr>
		<td class='FormField' colspan='2'>&nbsp;</td>
	</tr>	
	<tr>
		<td class='FormField'><input name='f_submit' type='submit' value='<?=$lang['button_freigabe_anlegen']?>' ></td>
		<td class='FormField'><INPUT TYPE=BUTTON VALUE="Zur&uuml;ck" onClick="history.back()"></td>
	</tr>	
	</table>
	</form>
	
<? elseif ($nMode == MODE_CRSH_DONE): ?>
<html>
<head>
<title><?=$lang['header_neue_freigabe']?></title>
<link rel="stylesheet" href="chamba.css">
</head>
<body>
<? include 'logo_header.inc.php'; ?>
	<table>
	<tr>
		<td class='headerbig' colspan=2>&nbsp;</td>
	</tr>	
	<tr>
		<td colspan=2><?=$lang['message_freigabe_angelegt']?></td>
	</tr>
	<tr>
		<td class='InfoSmall' colspan=2>&nbsp;</td>
	</tr>	
	<tr>
		<td colspan=2><?=$lang['message_neustart']?></td>
	</tr>
	<tr>
		<td class='InfoSmall' colspan=2><?=$strMessage?></td>
	</tr>	
	<tr>
		<td class='InfoSmall' colspan=2>&nbsp;</td>
	</tr>	
	</table>
	
<? endif; ?>
<a class='infosmall' href="chamba.php"><?=$lang['link_hauptseite']?></a>
</body>
