<?
// language.inc.php
// Sprachdatei


// Titles
$lang['title_chamba'] = 'Chamba -- der CHIP Samba-Konfigurator';

// Header
$lang['header_sektion'] = "Sektion <i>$strSection</i> bearbeiten";
$lang['header_chamba'] = 'Willkommen bei Chamba';
$lang['header_referenz'] = 'Referenz der in Chamba verwendeten Samba-Befehle';
$lang['header_neue_freigabe'] = 'Neue Freigabe anlegen';
$lang['header_user_anlegen'] = 'Benutzer anlegen';
$lang['header_freigabe_anlegen'] = 'Freigabe anlegen';
$lang['header_user_entfernen'] = 'Benutzer entfernen';
$lang['header_freigabe_loeschen'] = 'Freigabe l&ouml;schen';

// Messages
$lang['message_keine_langehilfe'] = 'Leider kein ausfhrlicher Hilfetext vorhanden';
$lang['message_main_info'] = "Hier sehen Sie alle in Ihrer smb.conf vorhandenen Sektionen.<br>\n
Klicken Sie auf eine davon, um den Expertenmodus aufzurufen und Eintrge zu ndern.";
$lang['message_main_sektionen'] = 'In smb.conf eingetragene Sektionen';
$lang['message_neustart'] = 'Hier die Meldungen beim Neustart von Samba:';
$lang['message_freigabe_rueckfrage'] = 'Freigabe anlegen - R&uuml;ckfrage';
$lang['message_freigabe_verzeichnis_existiert'] = "Hinweis: Das angegebene Verzeichnis '$strPath' existiert bereits.<BR>
Sie k&ouml;nnen es trotzdem als '$strShare' freigegeben oder zur&uuml;ckgehen,<br>
um einen neues Verzeichnis zu w&auml;hlen.";
$lang['message_freigabe_angelegt'] = "Eine Freigabe mit dem Namen '$strShare'
fr das Verzeichnis '$strPath' wurde erfolgreich angelegt.";
$lang['message_benutzer_angelegt'] = "Ein Benutzer mit dem Namen '$strUser' wurde erfolgreich angelegt.";
$lang['message_freigabe_loeschen_rueckfrage'] = 'Freigabe l&ouml;schen - R&uuml;ckfrage';
$lang['message_bestaetigung_freigabe_loeschen'] = "Soll den anderen Netzwerkteilnehmern die Freigabe<br>auf '$strShare?' wirklich entzogen werden?";
$lang['message_freigabe_erfolgreich_entfernt'] = "Freigabe '$strShare' wurde erfolgreich entfernt.";
$lang['message_nur_samba_user'] = '(Nur der Samba-Benutzer wird entfernt<br>Das zugeh&ouml;rige Linux-Konto<br>bleibt erhalten)';
$lang['message_benutzer_entfernt'] = "Der Benutzer mit dem Namen '$strUser wurde erfolgreich entfernt.";

// Links
$lang['link_freigabe_erstellen'] = 'Freigabe erzeugen';
$lang['link_freigabe_entfernen'] = 'Freigabe l&ouml;schen';
$lang['link_mehr_hilfe'] = 'Hilfe';
$lang['link_fenster_schliessen'] = 'Fenster schlieen';
$lang['link_share_anlegen'] = 'Neue Freigabe anlegen';
$lang['link_share_entfernen'] = 'Freigabe entfernen';
$lang['link_user_anlegen'] = 'Neuen Samba-Benutzer anlegen';
$lang['link_user_entfernen'] = 'Samba-Benutzer entfernen';
$lang['link_hauptseite'] = 'Zum Hauptmen';
$lang['link_dokumentation'] = 'Referenz';

// Labels
$lang['label_name_freigabe'] = 'Name der Freigabe';
$lang['label_verzeichnispfad'] = 'Verzeichnispfad';
$lang['label_freigabe_kommentar'] = 'Kommentar';
$lang['label_directory_mask'] = 'Standardberechtigungen fr neue Verzeichnisse';
$lang['label_file_mask'] = 'Standardberechtigungen fr neue Dateien';
$lang['label_schreibgeschuetzt'] = 'Schreibgesch&uuml;tzt';
$lang['label_sichtbar'] = 'Sichtbar';
$lang['label_benutzername'] = 'Benutzername (Krzel)';
$lang['label_kennwort'] = 'Kennwort';
$lang['label_kennwort_wiederholung'] = 'Kennwort wiederholen';
$lang['label_kommentar'] = 'Kommentar (z.B. voller Name)';
$lang['label_verzeichnisname_loeschen'] = 'Name der zu l&ouml;schenden Freigabe<br>&nbsp;<br>
Hinweis: Das dazugeh&ouml;rige Verzeichnis <br>
zusammen mit den darin gespeicherten Dateien <br>
bleibt erhalten, wird nach dieser Aktion aber nicht mehr<br>
im Netzwerk verfgbar sein.';

// Buttons
$lang['button_anlegen'] = 'Anlegen';
$lang['button_abbrechen'] = 'Abbrechen';
$lang['button_freigabe_anlegen'] = 'Freigabe anlegen';
$lang['button_entfernen'] = 'Enfernen';
$lang['button_freigabe_entfernen'] = 'Freigabe entfernen';


// Fehlermeldungen
$lang['error_section_nicht_vorhanden'] = "Fehler: Sektion $strSection nicht vorhanden";
$lang['error_section_nicht_angegeben'] = "Fehler: Keine Sektion angegeben. Bitte whlen Sie eine aus.";
?>
