<?
	// Falls eine Sektion als GET- oder POST-Parameter angegeben wurde
	// die Inhalte der Sektion anzeigen lassen
	if (isset($_GET['section']))
		$strSection = $_GET['section'];
	elseif (isset($_POST['section']))
		$strSection = $_POST['section'];
	else
		$strSection = false;

	// Feststellen, ob Flag fuer geaenderte Daten gesetzt
	if (isset($_POST['change']))
		$boolChangeData = true;
	else
		$boolChangeData = false;
	
		
	// Achtung: die Sprachdatei darf erst nach dem initialisieren der Variablen
	// eingelesen werden. Sonst passen die Fehlermeldungen nicht
	require_once('iniclasses.inc.php');
	require_once('paths.inc.php');
	require_once('xml2array.inc.php');
	require_once($strLanguagePath);
	
	// Array fuer Parameter-Informationen
	$arrXml = xmlFileToArray($strXmlPath );

	// Ein neues iniFile-Objekt erzeugen
	$objSmb = new iniFile($strConfPath, $strOutPath);
	
	// Alles in ein Array umwandeln
	$objSmb->toArray();

	// Hash aus aus Name - Validation im XML-Array bilden
	foreach ($arrXml['param'] as $arrParam)
	{
		$arrHash[$arrParam['name']] = $arrParam['validation'];
	}

	/*?><pre><?
	var_dump($arrHash);
	?></pre><?*/

?>
<html>
<head>
<link rel="stylesheet" href=<?=$strStylePath?>>
<title><?=$strSection?></title>
</head>
<body>
<? include('logo_header.inc.php')?>
<h1 class='headerbig'><?=$lang['header_sektion']?></h1>
<?	
	// Falls keine Section vorhanden, Hauptmenue zeigen
	if ($strSection == false)	
	{
		echo "<span class='errorSmall'>".$lang['error_section_nicht_angegeben']."</span>\n";
		echo "<br/><br/>\n";
		
		foreach($objSmb->arrSections as $strSection)
			echo "<a class='sectionLink' href='sections.php?section=$strSection'>$strSection</a><br>\n";
	}
	// Ansonsten das volle Formularprogramm
	else
	{
		// Liegen geaenderte Daten vor?
		if ($boolChangeData == true)
		{
			foreach ($_POST as $strItem => $strValue)
			{
				$strItem = urldecode($strItem);
				$strValue = urldecode($strValue);
				
				// Ein paar Parameter ausschlieen
				if (($strItem <> 'change') && ($strItem <> 'section') && ($strItem <> 'new_value'))
				{
						if ($strItem <> 'new_param')
							$objSmb->changeEntry($strSection, $strItem, $strValue);
						else if ($_POST['new_value'] <> '')
							$objSmb->changeEntry($strSection, urldecode($_POST['new_param']), urldecode($_POST['new_value']));
				}
			}
			// Die Aenderungen schreiben
			$objSmb->writeIniFile();
			
			// Samba neu starten
			$strCommandResponse = nl2br(shell_exec("sudo $strStartNewConf 2>&1"));
			$strMessage = $strCommandResponse;
		}	
		if (isset($strMessage) && $strMessage <> '')
		{
			echo "<span class='infosmall' style='color:black'>".$lang['message_neustart']."</span><br>\n";
			echo "<span class='infosmall'>$strMessage</span>";
		}
		
		// Die Items und Values der gewnschten Sektion einlesen	
		$arrSection =& $objSmb->getSectionData($strSection);
		
		// Ein Formular erzeugen
		$objForm = new iniForm($_SERVER['PHP_SELF'], $strSection, 'POST', $arrXml);
		
		// Aus dem Array der Sektion Formularfelder erzeugen
		$objForm->arr2Form($arrSection);
		
		// Das Formular anzeigen
		echo $objForm->showForm();
	}
?>	
<a class='infosmall' href="chamba.php"><?=$lang['link_hauptseite']?></a>

</body>
</html>
